import { Component, Inject, OnInit } from '@angular/core';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';
import { MCOMAUInterface } from 'src/app/interfaces/mco/mcomau/mcomau-interface';

@Component({
  selector: 'app-mcomau-info',
  templateUrl: './mcomau-info.component.html',
  styleUrls: ['./mcomau-info.component.css']
})
export class MCOMAUINFOComponent implements OnInit {

  nombre_completo: string;
  constructor(
    public dialogRef: MatDialogRef<any>,
    @Inject(MAT_DIALOG_DATA) public data: MCOMAUInterface,
  ) {
    this.nombre_completo = `${this.data.NOMBRE} ${this.data.APELLIDO_PATERNO} ${ this.data.APELLIDO_MATERNO == null || this.data.APELLIDO_MATERNO == "" ? "": this.data.APELLIDO_MATERNO }`;
  }

  ngOnInit(): void {
  }

  formatDate(fecha:string){
    let arrFecha = fecha.split("-");
    return `${arrFecha[2]}-${arrFecha[1]}-${arrFecha[0]}`;
  }
}
